class GREENBehavior extends Sup.Behavior {
  update() {
    let girl = Sup.getActor("Player");
    if (Sup.ArcadePhysics2D.collides(girl.arcadeBody2D, this.actor.arcadeBody2D)) {
      this.actor.destroy();
      girl.getBehavior(PlayerBehavior).hasGreen = true;
    }
  }
}
Sup.registerBehavior(GREENBehavior);
